package intrinsic.mx.events;

public class DataGridEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public intrinsic.mx.controls.listClasses.IListItemRenderer itemRenderer;
	public String reason;
	public int columnIndex;
	public double localX;
	public String dataField;
	public int rowIndex;

	/** Constants */
	public static final String ITEM_EDIT_BEGINNING = "item_edit_beginning";
	public static final String ITEM_FOCUS_IN = "item_focus_in";
	public static final String COLUMN_STRETCH = "column_stretch";
	public static final String HEADER_RELEASE = "header_release";
	public static final String ITEM_EDIT_BEGIN = "item_edit_begin";
	public static final String ITEM_FOCUS_OUT = "item_focus_out";
	public static final String VERSION = "version";
	public static final String ITEM_EDIT_END = "item_edit_end";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DataGridEvent() {
}

public DataGridEvent(String arg0) {
}

public DataGridEvent(String arg0, boolean arg1) {
}

public DataGridEvent(String arg0, boolean arg1, boolean arg2) {
}

public DataGridEvent(String arg0, boolean arg1, boolean arg2, int arg3) {
}

public DataGridEvent(String arg0, boolean arg1, boolean arg2, int arg3, String arg4) {
}

public DataGridEvent(String arg0, boolean arg1, boolean arg2, int arg3, String arg4, int arg5) {
}

public DataGridEvent(String arg0, boolean arg1, boolean arg2, int arg3, String arg4, int arg5, String arg6) {
}

public DataGridEvent(String arg0, boolean arg1, boolean arg2, int arg3, String arg4, int arg5, String arg6, intrinsic.mx.controls.listClasses.IListItemRenderer arg7) {
}

public DataGridEvent(String arg0, boolean arg1, boolean arg2, int arg3, String arg4, int arg5, String arg6, intrinsic.mx.controls.listClasses.IListItemRenderer arg7, double arg8) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
